Bug 522039 - python-qpid CLI tools inconsistent behavior
Summary: python-qpid CLI tools inconsistent behavior
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: python-qpid
Version: Development
Hardware: All
OS: Linux
low
high
Target Milestone: 1.3
: ---
Assignee: Nuno Santos
QA Contact: Jan Sarenik
URL:
Whiteboard:
Depends On:
Blocks: 619502
TreeView+ depends on / blocked
 
Reported: 2009-09-09 09:15 UTC by Jan Sarenik
Modified: 2013-09-12 22:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
RHEL4 test output (1.15 KB, text/plain)
2009-09-09 09:15 UTC, Jan Sarenik
no flags Details
RHEL5 test output (1.15 KB, text/plain)
2009-09-09 09:16 UTC, Jan Sarenik
no flags Details
test itself (432 bytes, text/plain)
2009-09-09 09:16 UTC, Jan Sarenik
no flags Details
svn rev 947858 (9.39 KB, patch)
2010-05-25 18:52 UTC, Nuno Santos
no flags Details | Diff
updated test (package qpid-tools) (445 bytes, text/plain)
2010-06-10 13:30 UTC, Jan Sarenik
no flags Details
RHEL4 test output (updated) (1.15 KB, text/plain)
2010-06-10 13:31 UTC, Jan Sarenik
no flags Details
updated test, v3 (425 bytes, text/plain)
2010-06-10 13:57 UTC, Jan Sarenik
no flags Details

Description Jan Sarenik 2009-09-09 09:15:11 UTC
Created attachment 360178 [details]
RHEL4 test output

The command line tools contained in qpid-python package behave
inconsistently when supplied with different parameters.

Much of this is caused by using two different python libraries
for handling command line parameters.

getopt-based are:
  qpid-cluster
  qpid-config
  qpid-route
  qpid-stat
  qpid-tool
  python-qpid-tests (using testlib)
    - this last one is packaged and renamed from old qpid/python/run-tests
    - current qpid/python/qpid-python-test is optparse-based

optparse-based are:
  qpid-printevents
  qpid-queue-stats

See attached test and its output on both RHELs.

Comment 1 Jan Sarenik 2009-09-09 09:16:02 UTC
Created attachment 360179 [details]
RHEL5 test output

Comment 2 Jan Sarenik 2009-09-09 09:16:50 UTC
Created attachment 360180 [details]
test itself

Comment 3 Jan Sarenik 2009-11-12 10:44:49 UTC
Target to 1.3

Comment 4 Nuno Santos 2010-05-24 23:19:44 UTC
Fixed at svn rev 947858.

Comment 6 Nuno Santos 2010-05-25 14:12:08 UTC
Used the test provided above to test the changes, all items resulted in OK status after the changes.

The changes will need to be ported to the next package rebuild, as a patch.

Comment 7 Nuno Santos 2010-05-25 18:52:44 UTC
Created attachment 416472 [details]
svn rev 947858

Comment 8 Jan Sarenik 2010-06-10 13:30:41 UTC
Created attachment 422905 [details]
updated test (package qpid-tools)

There are still some failures. Look at the next attachment.

Comment 9 Jan Sarenik 2010-06-10 13:31:49 UTC
Created attachment 422906 [details]
RHEL4 test output (updated)

Comment 10 Jan Sarenik 2010-06-10 13:33:48 UTC
But my findings are minor, the important thing is that usage gets
printed when user supplies unknown parameter.

Comment 11 Jan Sarenik 2010-06-10 13:57:52 UTC
Created attachment 422912 [details]
updated test, v3

Discussed with František, we agreed that "no such option"
is not vital. I changed the test to not check for it.
Verified on
  qpid-tools-0.7.946106-4.el5 i386 and x86_64
  qpid-tools-0.7.946106-4.el5 i386 and x86_64

Comment 13 Jan Sarenik 2010-09-08 08:22:22 UTC
Verified on qpid-tools-0.7.946106-10.el5.

qpid-tools-0.7.946106-10.el5
--- Running with parameter "-h" and awaiting "usage".
  /usr/bin/qpid-cluster OK
  /usr/bin/qpid-cluster-store OK
  /usr/bin/qpid-config OK
  /usr/bin/qpid-printevents OK
  /usr/bin/qpid-queue-stats OK
  /usr/bin/qpid-route OK
  /usr/bin/qpid-stat OK
  /usr/bin/qpid-tool OK
--- Running with parameter "--help" and awaiting "usage".
  /usr/bin/qpid-cluster OK
  /usr/bin/qpid-cluster-store OK
  /usr/bin/qpid-config OK
  /usr/bin/qpid-printevents OK
  /usr/bin/qpid-queue-stats OK
  /usr/bin/qpid-route OK
  /usr/bin/qpid-stat OK
  /usr/bin/qpid-tool OK
--- Running with parameter "--nonsense789" and awaiting "usage".
  /usr/bin/qpid-cluster OK
  /usr/bin/qpid-cluster-store OK
  /usr/bin/qpid-config OK
  /usr/bin/qpid-printevents OK
  /usr/bin/qpid-queue-stats OK
  /usr/bin/qpid-route OK
  /usr/bin/qpid-stat OK
  /usr/bin/qpid-tool OK
--- Running with parameter "--nonsense789" and awaiting "no such option".
  /usr/bin/qpid-cluster OK
  /usr/bin/qpid-cluster-store OK
  /usr/bin/qpid-config OK
  /usr/bin/qpid-printevents OK
  /usr/bin/qpid-queue-stats OK
  /usr/bin/qpid-route OK
  /usr/bin/qpid-stat OK
  /usr/bin/qpid-tool OK


Note You need to log in before you can comment on or make changes to this bug.